<section id="converters" class="portfolio-block">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-md-2 text-center">
        <div class="mx-auto mt-5"><i class="fa fa-laptop fa-4x mb-3 sr-icons w-100 icon-color"></i>
          <a [ngClass]="{'button-active': currentConverter == 0, 'btn-primary': currentConverter != 0}"
             href="#converter"
             class="btn" data-bss-hover-animate="pulse" (click)="setConverter(0)"
             type="button">{{ constants.BINARY }}</a>
        </div>
      </div>
      <div class="col-md-2 text-center">
        <div class="mx-auto mt-5"><i class="fa fa-calculator fa-4x mb-3 sr-icons w-100 icon-color"></i>
          <a [ngClass]="{'button-active': currentConverter == 1, 'btn-primary': currentConverter != 1}"
             href="#converter"
             class="btn btn-primary" data-bss-hover-animate="pulse" (click)="setConverter(1)"
             type="button">{{ constants.HEXADECIMAL }}</a>
        </div>
      </div>
      <div class="col-md-2 text-center">
        <div class="mx-auto mt-5"><i class="fa fa-code fa-4x mb-3 sr-icons w-100 icon-color"></i>
          <a [ngClass]="{'button-active': currentConverter == 2, 'btn-primary': currentConverter != 2}"
             href="#converter"
             class="btn btn-primary" data-bss-hover-animate="pulse" (click)="setConverter(2)"
             type="button">{{ constants.OCTAL }}</a>
        </div>
      </div>
      <div class="col-md-2 text-center">
        <div class="mx-auto mt-5"><i class="fa fa-table fa-4x mb-3 sr-icons w-100 icon-color"></i>
          <a [ngClass]="{'button-active': currentConverter == 3, 'btn-primary': currentConverter != 3}"
             href="#converter"
             class="btn btn-primary" data-bss-hover-animate="pulse" (click)="setConverter(3)"
             type="button">{{ constants.SUM_BINARY }}</a>
        </div>
      </div>
      <div class="col-md-2 text-center">
        <div class="mx-auto mt-5"><i class="fa fa-chart-area fa-4x mb-3 sr-icons w-100 icon-color"></i>
          <a [ngClass]="{'button-active': currentConverter == 4, 'btn-primary': currentConverter != 4}"
             href="#converter"
             class="btn btn-primary" data-bss-hover-animate="pulse" (click)="setConverter(4)"
             type="button">{{ constants.SUBTRACTION_BINARY }}</a>
        </div>
      </div>
      <div class="col-md-2 text-center">
        <div class="mx-auto mt-5"><i class="fa fa-chart-line fa-4x mb-3 sr-icons w-100 icon-color"></i>
          <a [ngClass]="{'button-active': currentConverter == 5, 'btn-primary': currentConverter != 5}"
             href="#converter"
             class="btn btn-primary" data-bss-hover-animate="pulse" (click)="setConverter(5)"
             type="button">{{ constants.MULTIPLY_BINARY }}</a>
        </div>
      </div>
    </div>
  </div>
</section>

<section id="converter" class="portfolio-block projects-cards">
  <!-- Converter -->
  <div class="container" *ngIf="!binaryOp">
    <div class="heading">
      <h1 class="title-style">{{ converter.titleOperation }}</h1>
    </div>

    <form class="shadow-lg border" (ngSubmit)="convert()">
      <div class="row">
        <div class="col col-md-5"><label class="form-label">{{ converter.firstValueLabel }}</label>
          <input [(ngModel)]="firstValue" class="form-control border" [ngClass]="{'border-danger': errors }"
                 id="numericValue" name="numericValue" type="text" [value]="firstValue" (click)="clearError()">
        </div>
        <div class="col col-2 align-content">
          <button class="btn btn-info" data-bss-hover-animate="pulse" (click)="changeUnits()" type="button">
            <i class="fa fa-arrows-alt-h"></i>
          </button>
        </div>
        <div class="col col-md-5"><label class="form-label">{{ converter.secondValueLabel }}</label>
          <input class="form-control border" type="text" disabled [value]="resultValue"></div>
      </div>
      <div class="row text-center mt-4 mb-4" *ngIf="errors">
        <span class="text-danger">{{ errorMessage }}</span>
      </div>
      <div class="row text-center mt-4 mb-2">
        <div class="col">
          <button class="btn btn-primary" data-bss-hover-animate="pulse" type="submit" *ngIf="!isLoading">
            {{ constants.CONVERT_BUTTON }}
          </button>
          <button class="btn btn-info" *ngIf="isLoading">
            {{ constants.LOADING_BUTTON }}
          </button>
        </div>
      </div>
      <div class="row text-center mt-4 mb-2">
        <div class="col">
          <a href="#process" class="btn btn-info text-white">{{constants.VIEW_PROCESS}}</a>
        </div>
      </div>
    </form>

  </div>
  <!-- end converter -->

  <!-- Operation converter -->
  <div class="container" *ngIf="binaryOp">
    <div class="heading">
      <h1 class="title-style">{{ converter.titleOperation }}</h1>
    </div>

    <form class="shadow-lg border" (ngSubmit)="convert()">
      <div class="row">

        <div class="col col-12"><label class="form-label">{{ converter.firstValueLabel }}</label>
          <input [(ngModel)]="firstValue" class="form-control border" [ngClass]="{'border-danger': errors }"
                 id="firstValue" name="numericValue" type="text" [value]="firstValue" (click)="clearError()">
        </div>

        <div class="col col-12 mt-4"><label class="form-label">{{ converter.secondValueLabel }}</label>
          <input [(ngModel)]="secondValue" class="form-control border" [ngClass]="{'border-danger': errors }"
                 id="secondValue" name="numericValue" type="text" [value]="secondValue" (click)="clearError()">
        </div>

        <div class="col col-12 mt-4"><label class="form-label">{{ constants.RESULT_VALUE }}</label>
          <input class="form-control border" type="text" disabled [value]="resultValue">
        </div>

        <div class="row text-center mt-4 mb-4" *ngIf="errors">
          <span class="text-danger">{{ errorMessage }}</span>
        </div>

        <div class="row text-center mt-4 mb-2">
          <div class="col">
            <button class="btn btn-primary" data-bss-hover-animate="pulse" type="submit" *ngIf="!isLoading">
              {{ constants.OPERATION_BUTTON }}
            </button>
            <button class="btn btn-info" *ngIf="isLoading">
              {{ constants.LOADING_BUTTON }}
            </button>
          </div>
        </div>
        <div class="row text-center mt-4 mb-2">
          <div class="col">
            <a href="#process" class="btn btn-info text-white">{{constants.VIEW_PROCESS}}</a>
          </div>
        </div>
      </div>
    </form>

  </div>
  <!-- Operation converter -->
</section>

<section id="process" class="portfolio-block projects-cards">
  <div class="container">
    <div class="shadow-lg process">
      <h1 class="text-center mb-5">{{constants.PROCESS}}</h1>
      <div class="container">
        <p *ngIf="!isProcess">Aún no hay procedimiento</p>
        <div *ngFor="let item of process">
          <div class="mt-3" [mathjax]="item"></div>
        </div>
      </div>
    </div>
  </div>
</section>

